aboutsummaryrefslogtreecommitdiff
path: root/linaro-build.sh
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2019-04-04 10:00:47 +0100
committerYongqin Liu <yongqin.liu@linaro.org>2019-04-04 10:00:47 +0100
commit004fa8e9942bb7a447fcf5bb2145e188006e7ab9 (patch)
treec2a7d8c1f1a6fb735a1fdc656f880bc1d3ddddd6 /linaro-build.sh
parentf32bed6ee955219f81ee7d7c539acef48ac51ccd (diff)
downloadandroid-build-configs-004fa8e9942bb7a447fcf5bb2145e188006e7ab9.tar.gz
linaro-build.sh: support only repo sync option with -nb
so that we could do the option for only source repo syncing, and not do any build operations. Change-Id: I7178153cfd4d59efaa6e7a482a755dbffb2e7acb Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
Diffstat (limited to 'linaro-build.sh')
-rwxr-xr-xlinaro-build.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/linaro-build.sh b/linaro-build.sh
index e63cfc84..2a5fe25b 100755
--- a/linaro-build.sh
+++ b/linaro-build.sh
@@ -3,6 +3,7 @@
ROOT_DIR=$(cd $(dirname $0); pwd)
CUR_DIR=$(pwd)
CPUS=$(nproc)
+#CPUS=$(($(nproc)/2))
#### TODO LIST ###########################
# 1. support for OUT_DIR specification
@@ -16,6 +17,7 @@ MIRROR=""
skip_init=false
skip_sync=false
PINNED_MANIFEST=""
+NO_BUILD=false
########### workarounds ##################
# workaround for boot_fat.uefi.img for error:
@@ -123,6 +125,7 @@ function print_usage(){
echo -e "\t\tdefault is lcr-reference-hikey-p"
echo -e "\t -m|--mirror mirror_url: specify the url where you want to sync from"
echo -e "\t -pm|--pinned-manifest file_path: specify the path where you put the pinned manifest file"
+ echo -e "\t -nb|--no-build: only repo sync all the projects and apply patches, but do not do any build operations, neither install any package"
echo "$(basename $0) [-h|--help]"
echo -e "\t -h|--help: print this usage"
}
@@ -162,6 +165,10 @@ function parseArgs(){
PINNED_MANIFEST="$2"
shift 2
;;
+ X-nb|X--no-build)
+ NO_BUILD=true
+ shift 1
+ ;;
X-h|X--help)
print_usage
exit 1
@@ -199,8 +206,10 @@ function main(){
if ! ${skip_sync}; then
repo_sync_patch
fi
- install_packages
- build_with_config
+ if ! ${NO_BUILD}; then
+ install_packages
+ build_with_config
+ fi
}
main "$@"